Bug 966716 - [abrt] openvpn-2.3.1-2.fc18: route_list_add_vpn_gateway: Process /usr/sbin/openvpn was killed by signal 11 (SIGSEGV)
[abrt] openvpn-2.3.1-2.fc18: route_list_add_vpn_gateway: Process /usr/sbin/op...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: openvpn (Show other bugs)
22
x86_64 Unspecified
high Severity high
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:6cbc0c0b4cb9861bcddfc66a2fe...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 14:33 EDT by Suren Karapetyan
Modified: 2016-07-19 16:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:19:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (19.48 KB, text/plain)
2013-05-23 14:33 EDT, Suren Karapetyan
no flags Details
File: cgroup (174 bytes, text/plain)
2013-05-23 14:33 EDT, Suren Karapetyan
no flags Details
File: core_backtrace (475 bytes, text/plain)
2013-05-23 14:33 EDT, Suren Karapetyan
no flags Details
File: dso_list (1.67 KB, text/plain)
2013-05-23 14:33 EDT, Suren Karapetyan
no flags Details
File: environ (158 bytes, text/plain)
2013-05-23 14:33 EDT, Suren Karapetyan
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-23 14:33 EDT, Suren Karapetyan
no flags Details
File: maps (8.51 KB, text/plain)
2013-05-23 14:33 EDT, Suren Karapetyan
no flags Details
File: open_fds (300 bytes, text/plain)
2013-05-23 14:33 EDT, Suren Karapetyan
no flags Details
File: proc_pid_status (900 bytes, text/plain)
2013-05-23 14:33 EDT, Suren Karapetyan
no flags Details
File: var_log_messages (10.36 KB, text/plain)
2013-05-23 14:33 EDT, Suren Karapetyan
no flags Details

  None (edit)
Description Suren Karapetyan 2013-05-23 14:33:11 EDT
Version-Release number of selected component:
openvpn-2.3.1-2.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/sbin/openvpn --remote XXX.XXX.XXX.XXX --comp-lzo --nobind --dev tap --proto udp --port 1194 --auth-nocache --syslog nm-openvpn --script-security 2 --up /usr/libexec/nm-openvpn-service-openvpn-helper --up-restart --persist-key --persist-tun --management 127.0.0.1 1194 --management-query-passwords --route-noexec --ifconfig-noexec --client --ca /home/suro/.cert/bc-ca2.crt --cert /home/suro/.cert/surix2.crt --key /home/suro/.cert/surix2.key
crash_function: route_list_add_vpn_gateway
executable:     /usr/sbin/openvpn
kernel:         3.8.11-200.fc18.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 route_list_add_vpn_gateway at route.c:507
 #1 process_ip_header at forward.c:1061
 #2 process_outgoing_tun at forward.c:1228
 #3 process_io at forward.c:1541
 #4 tunnel_point_to_point at openvpn.c:95
 #5 openvpn_main at openvpn.c:249
Comment 1 Suren Karapetyan 2013-05-23 14:33:17 EDT
Created attachment 752317 [details]
File: backtrace
Comment 2 Suren Karapetyan 2013-05-23 14:33:21 EDT
Created attachment 752318 [details]
File: cgroup
Comment 3 Suren Karapetyan 2013-05-23 14:33:24 EDT
Created attachment 752319 [details]
File: core_backtrace
Comment 4 Suren Karapetyan 2013-05-23 14:33:28 EDT
Created attachment 752320 [details]
File: dso_list
Comment 5 Suren Karapetyan 2013-05-23 14:33:31 EDT
Created attachment 752321 [details]
File: environ
Comment 6 Suren Karapetyan 2013-05-23 14:33:35 EDT
Created attachment 752322 [details]
File: limits
Comment 7 Suren Karapetyan 2013-05-23 14:33:39 EDT
Created attachment 752323 [details]
File: maps
Comment 8 Suren Karapetyan 2013-05-23 14:33:43 EDT
Created attachment 752325 [details]
File: open_fds
Comment 9 Suren Karapetyan 2013-05-23 14:33:47 EDT
Created attachment 752326 [details]
File: proc_pid_status
Comment 10 Suren Karapetyan 2013-05-23 14:33:52 EDT
Created attachment 752328 [details]
File: var_log_messages
Comment 11 Suren Karapetyan 2013-05-27 10:29:18 EDT
I have the same crash on CentOS with openvpn-2.3.1-1.el6.x86_64. The problem is with L2 (tap) vpn. Both: my laptop and a remote server which are connected to the same l2 network crash at the same time. I guessing it's a single packet triggering this.
Comment 12 Suren Karapetyan 2013-05-27 10:32:28 EDT
Sorry, forgot to mention that it's a regression. openvpn-2.2.2-1.el6.x86_64.rpm didn't have this problem on CentOS and openvpn-2.2.2-9.fc18.x86_64 was working for Fedora.
Comment 13 Suren Karapetyan 2013-06-03 16:55:45 EDT
Upstream bug: https://community.openvpn.net/openvpn/ticket/281
It says 2.3.2 will fix this.
Comment 14 Fedora End Of Life 2013-12-21 08:41:34 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2014-02-05 16:30:40 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 16 David Sommerseth 2014-03-13 06:38:04 EDT
This issue is most likely still present.  Re-opening it to keep track of it, until proven fixed.
Comment 17 Fedora Admin XMLRPC Client 2014-11-10 10:37:52 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 18 Fedora Admin XMLRPC Client 2014-11-10 10:51:14 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 19 Jaroslav Reznik 2015-03-03 09:57:03 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 20 Fedora End Of Life 2016-07-19 16:19:31 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.